Subject: Re: [PATCH v5 0/9] Parallel Checkout (part I)

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Dec 2020 17:11:55 -0800

Matheus Tavares <[email-masked]> writes:

> The previous rounds got many great suggestions about patches 1 to 10,
> but not as many comments on the latter patches. Christian commented that
> patches 10 and 11 are too long/complex, making the overall series harder
> to review. So he suggested that I eject patches 10 to 19, and send them
> later in a separated part. This will hopefully make the series easier to
> review and move forward. (I also hope to include a desing doc in part 2
> to make those two bigger patches more digestible.)
>
> So this part is now composed only of the 9 preparatory patches, which
> mainly focus on: (1) adding the 'struct conv_attrs' parameter to some
> convert.c and entry.c functions (to avoid re-loading the attributes
> during parallel checkout); and (2) making some functions public (for
> parallel-checkout.c's later use).

All of these patches look sensible to me.

Will replace.  Thanks.